# -*- coding: utf-8 -*-

# Define your item pipelines here
#
# Don't forget to add your pipeline to the ITEM_PIPELINES setting
# See: https://doc.scrapy.org/en/latest/topics/item-pipeline.html
import re
import pymysql

class CrawlerHomePipeline(object):
    new_size = []
    new_addr = []
    new_price = []
    def process_item(self, item, spider):

        for j in item["addr"]:
            if j != '广元':
                self.new_addr.append(j)

        for k in item["price"]:
            price = re.findall(r'(.*)元/㎡', k)
            if price:
                self.new_price.append(int(price[0]))

        for i in item["size"]:
            size = re.findall(r'<span>(.*㎡).*</span>',i)
            if size:
                self.new_size.append(size[0])
        # print(item["title"])
        # print(self.new_addr)
        # print(self.new_price)
        # print(self.new_size)
        # print('-----------')
        # print(len(item["title"]))
        # print(len(item["addr"]))
        # print(len(item["price"]))
        # print(len(item["size"]))
        # 写入数据库操作
        conn = pymysql.connect(host='127.0.0.1', user='root', passwd='123123123', db='crawler_data', charset='utf8')
        cursor = conn.cursor()
        for i in range(0,len(item["title"])):
            title = item["title"][i]
            addr = self.new_addr[i]
            price = self.new_price[i]
            size = self.new_size[i]
            try:
                sql = "insert into home_data(title,addr,price,size) values('%s','%s', '%s', '%s')" % (title, addr, price, size)
                cursor.execute(sql)
                conn.commit()
            except Exception:
                print('发现错误数据，取消写入')
        return item
